aboutsummaryrefslogtreecommitdiffstats
path: root/install.sh
diff options
context:
space:
mode:
authorEric Robitaille <eric@vianet.ca>2014-11-21 21:05:52 +0800
committerEric Robitaille <eric@vianet.ca>2014-11-21 21:05:52 +0800
commiteba3fca7bcc18952c62689f96d600725b9d45402 (patch)
treec0a702700056b4b75e7361ddfeb865b76e24be1e /install.sh
parent6c098ee779393a85c5a70ba4494b9f22dec9a394 (diff)
downloaddexon-eba3fca7bcc18952c62689f96d600725b9d45402.tar
dexon-eba3fca7bcc18952c62689f96d600725b9d45402.tar.gz
dexon-eba3fca7bcc18952c62689f96d600725b9d45402.tar.bz2
dexon-eba3fca7bcc18952c62689f96d600725b9d45402.tar.lz
dexon-eba3fca7bcc18952c62689f96d600725b9d45402.tar.xz
dexon-eba3fca7bcc18952c62689f96d600725b9d45402.tar.zst
dexon-eba3fca7bcc18952c62689f96d600725b9d45402.zip
go get dependencies on executable
Diffstat (limited to 'install.sh')
-rwxr-xr-xinstall.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/install.sh b/install.sh
index 0b2ee3df2..957306e75 100755
--- a/install.sh
+++ b/install.sh
@@ -28,6 +28,14 @@ echo "changing branch to $branch"
cd $GOPATH/src/github.com/ethereum/go-ethereum
git checkout $branch
+
+echo "go get -u -d github.com/ethereum/go-ethereum/$path"
+go get -v -u -d github.com/ethereum/go-ethereum/$path
+if [ $? != 0 ]; then
+ echo "go get failed"
+ exit
+fi
+
cd $GOPATH/src/github.com/ethereum/go-ethereum/$path
if [ "$exe" == "mist" ]; then